#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <fcntl.h>

#include "mpg123.h"

#ifndef errno
extern int errno;
#endif

void xfermem_init (txfermem **xf, int bufsize, int msize, int skipbuf)
{
  (void)xf; (void)bufsize; (void)msize; (void)skipbuf;
}
void xfermem_done (txfermem *xf)
{
  (void)xf;
}
void xfermem_init_writer (txfermem *xf)
{
  (void)xf;
}
void xfermem_init_reader (txfermem *xf)
{
  (void)xf;
}
int xfermem_get_freespace (txfermem *xf)
{
  (void)xf;
  return 0;
}
int xfermem_get_usedspace (txfermem *xf)
{
  (void)xf;
  return 0;
}
int xfermem_getcmd (int fd, int block)
{
  (void)fd; (void)block;
  return 0;
}
int xfermem_putcmd (int fd, byte cmd)
{
  (void)fd; (void)cmd;
  return 0;
}
int xfermem_block (int readwrite, txfermem *xf)
{
  (void)readwrite; (void)xf;
  return 0;
}

